| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::ClickDragReleaseItem Class Reference
Inheritance diagram for Digikam::ClickDragReleaseItem:

## Signals
void | cancelled ()
void | finished (const QRectF &rect)
void | moving (const QRectF &rect)
void | started (const QPointF &pos)
| Signals are emitted at click, drag and release event.

## Public Member Functions
| ClickDragReleaseItem (QGraphicsItem *const parent)
QRectF | boundingRect () const override
void | paint (QPainter *, const QStyleOptionGraphicsItem *, QWidget *) override

## Protected Member Functions
void | hoverMoveEvent (QGraphicsSceneHoverEvent *) override
void | keyPressEvent (QKeyEvent *) override
void | mouseDoubleClickEvent (QGraphicsSceneMouseEvent *) override
void | mouseMoveEvent (QGraphicsSceneMouseEvent *) override
void | mousePressEvent (QGraphicsSceneMouseEvent *) override
| 1) Press - Drag - Release: mousePress, PressedState -> mouseMoveEvent over threshold, PressDragState -> mouseReleaseEvent, finished 2) Click - Move - Click: mousePressEvent, PressedState -> mouseReleaseEvent, ClickedMoveState -> hoverMoveEvent -> mouseReleaseEvent, finished
void | mouseReleaseEvent (QGraphicsSceneMouseEvent *) override

## Member Function Documentation

## ◆ started

void Digikam::ClickDragReleaseItem::started | ( | const QPointF & | pos | ) |
| signal

Reported positions are in scene coordinates. A drag is reported only if the mouse was moved a certain threshold. A release is reported after every press.